﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;
using System.Windows.Input;
using Telerik.Windows.Controls.Data.DataForm;
using System.Windows;

namespace SimpleForm
{
    public class MainWindowViewModel : ViewModelBase
    {
        private Employee newEmployee;
        public Employee NewEmployee
        {
            get { return this.newEmployee; }
            set
            {
                this.newEmployee = value;
                this.OnPropertyChanged("NewEmployee");
            }
        }


        public ICommand AddNewEmployeeCommand { get; set; }

        public MainWindowViewModel()
        {
            this.AddNewEmployeeCommand = new DelegateCommand(OnAddEmployee);
            this.NewEmployee = new Employee();
        }

        private void OnAddEmployee(object obj)
        {
            var args = obj as EditEndedEventArgs;
            if (args.EditAction == EditAction.Commit)
            {
                MessageBox.Show(string.Format($"EXEC CreateEmployee FirstName = \"{this.NewEmployee.FirstName}\"," +
                    $" LastName = \"{this.NewEmployee.LastName}\"" +
                    $" IsMarried = \"{this.NewEmployee.IsMarried}\"" +
                    $" StartingDate = \"{this.NewEmployee.StartingDate}\"" +
                    $";"));
            }

            this.NewEmployee = new Employee();
        }
    }
}
